aspose file tools*
The moose likes IDEs, Version Control and other tools and the fly likes Python Version Mismatch When Creating Repository in WinCVS Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Engineering » IDEs, Version Control and other tools
Bookmark "Python Version Mismatch When Creating Repository in WinCVS" Watch "Python Version Mismatch When Creating Repository in WinCVS" New topic
Author

Python Version Mismatch When Creating Repository in WinCVS

Hardy Linder
Greenhorn

Joined: Nov 14, 2010
Posts: 2

I just installed WinCVS 2.0.2.4, but I get the following error when creating a repository:

Python C API version mismatch for module _cvsgui: This Python has API version 1011, module _cvsgui has version 1012.

I tried switching from Python 2.6.6 to 2.2, but no luck. I would try switching to WinCVS 1.3, but I haven't been able to find that download.
Hardy Linder
Greenhorn

Joined: Nov 14, 2010
Posts: 2
I switched to Python 2.4 and no longer get the error, but now when I try to create a new repository WinCVS hangs.
Peter Johnson
author
Bartender

Joined: May 14, 2008
Posts: 5843
    
    7

Any particular reasons why you are setting up CVS? If it were me, I would use either Subversion or Mercurial.


JBoss In Action
 
It is sorta covered in the JavaRanch Style Guide.
 
subject: Python Version Mismatch When Creating Repository in WinCVS